# OCR

### The method use to Scan OCR

```
accuraService.StartOCR(configObj, CountryId, CardId, CardName, CardType, appOriantation, new AccuraScanResultCallBack());
```

### *Parameter*:

* configObj: { enableLogs: false }
* *CountryId*: integer
* *CardId*: integer
* *CardName*: String
* *CardType*: integer
* *Orientation*: String (Default portrait)

### ***Response:***&#x20;

***Success***: JSON Response\
\&#xNAN;***Error***: String

#### Example Functions:

```
public partial class MainPage : ContentPage
{
    public MainPage()
    {
        JObject configObj = JObject.Parse(@"{
            'enableLogs' : false
        }");
        //Start OCR scanning.
        accuraService.StartOCR(configObj.ToString(), (string)selected_country["id"], (string)selected_card["id"], (string)selected_card["name"], (string)selected_card["type"], appOriantation, new AccuraScanResultCallBack());
    }
}
public class AccuraScanResultCallBack : AccuraServiceCallBack {
    public void InvokeResult(string error, string result) {
        if (error != null) {
            // Error block.
        }
        else {
            // Result from the SDK
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/language/xamarin/functions/ocr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
